org.apache.ignite.internal.util.lang

## Class IgniteOutClosureX<T>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.IgniteOutClosureX<T>

All Implemented Interfaces:
  Serializable, IgniteOutClosure<T>

Direct Known Subclasses:
  COX

    public abstract class IgniteOutClosureX<T>
    extends Object
    implements IgniteOutClosure<T>

Convenient out-closure subclass that allows for thrown grid exception. This class implements `apply()` method that calls `applyx()` method and properly wraps `IgniteCheckedException` into `GridClosureException` instance.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteOutClosureX()`

### Method Summary

Methods
`T` `apply()` Closure body.
`abstract T` `applyx()` Out-closure body that can throw `IgniteCheckedException`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteOutClosureX

    public IgniteOutClosureX()

### Method Detail

#### apply

    public T apply()

Closure body.

Specified by:
  `apply` in interface `IgniteOutClosure<T>`
Returns:
  Return value.

#### applyx

    public abstract T applyx()
                      throws IgniteCheckedException

Out-closure body that can throw `IgniteCheckedException`.

Returns:
  Element.
Throws:
  `IgniteCheckedException` - Thrown in case of any error condition inside of the closure.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015